Name: quartz-rhevm
Version: 1.8.3
Release: 3
License: ASL 2.0
Summary: Job scheduler for use with Red Hat Enterprise Virtualization Manager
Group: Development/Libraries/Java
URL: http://www.quartz-scheduler.org/

Source0: org.quartz-scheduler-quartz-parent-1.8.3-sources.zip
Source1: org.quartz-scheduler-quartz-parent-1.8.3-patches.zip
Source2: quartz-1.8.3-sources.jar
Source3: quartz-1.8.3.jar
Source4: quartz-1.8.3.pom
Source5: quartz-parent-1.8.3.pom
Source6: quartz-jboss-1.8.3-sources.jar
Source7: quartz-jboss-1.8.3.pom
Source8: quartz-jboss-1.8.3.jar
Source9: quartz-examples-1.8.3.jar
Source10: quartz-examples-1.8.3-sources.jar
Source11: quartz-examples-1.8.3.pom

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Quartz is a full-featured, open source job scheduling service that can be
integrated with, or used along side virtually any Java EE or Java SE
application. Quartz can be used to create simple or complex schedules
for executing tens, hundreds, or even tens-of-thousands of jobs; jobs whose
tasks are defined as standard Java components that may execute virtually
anything you may program them to do.

This package is designed exclusively for use with Red Hat Enterprise
Virtualization Manager.

%prep

%build

%install
rm -rf %{buildroot}
/usr/bin/install -d %{buildroot}%{_datadir}/rhevm/3rd-party-lib

/usr/bin/install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/rhevm/3rd-party-lib
/usr/bin/install -m 644 %{SOURCE8} %{buildroot}%{_datadir}/rhevm/3rd-party-lib

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/rhevm/3rd-party-lib/quartz-1.8.3.jar
%{_datadir}/rhevm/3rd-party-lib/quartz-jboss-1.8.3.jar

%changelog
* Thu May 19 2011 Mike Bonnet <mikeb@redhat.com> - 1.8.3-1
- Initial build
